/* dpnet.dll
 *
 * Copyright 2002, 2003 TransGaming Technologies
 *
 * David Hammerton (david@transgaming.com)
 */

#include "windef.h"
#include "winbase.h"
#include "winuser.h"
#include "winreg.h"
#include "wine/debug.h"
#include "winerror.h"

#include "dplay8.h"
#include "dplay8_private.h"

WINE_DEFAULT_DEBUG_CHANNEL(dplay);

/***********************************************************************
 * DllMain [Internal]
 */

BOOL WINAPI DllMain (HINSTANCE hinstDLL, DWORD fdwReason, LPVOID lpvReserved)
{
    TRACE("%i,%lx,%p\n", hinstDLL, fdwReason, lpvReserved);

    switch (fdwReason)
    {
    case DLL_PROCESS_ATTACH:
        DPNET_HostNameDialogInit(hinstDLL);
        break;
    case DLL_THREAD_ATTACH:
        break;
    case DLL_THREAD_DETACH:
        break;
    case DLL_PROCESS_DETACH:
        DPNET_HostNameDialogUninit();
        break;
    }

    return TRUE;
}

/***********************************************************************
 *             DirectPlay8Create (DPNET.@)
 * Old and unused thesedays.
 */
HRESULT WINAPI DirectPlay8Create(REFGUID lpGUID, void *ppvInterface, IUnknown *pUnk)
{
    TRACE("(%s, %p, %p): stub\n", debugstr_guid(lpGUID), ppvInterface, pUnk);
    return S_OK;
}

/***********************************************************************
 *             DllCanUnloadNow (DPNET.@)
 */
HRESULT WINAPI DPNET_DllCanUnloadNow(void)
{
    FIXME("(void): stub\n");
    return S_OK;
}

/***********************************************************************
 *             DllRegisterServer (DPNET.@)
 */
HRESULT WINAPI DPNET_DllRegisterServer(void)
{
    FIXME("(void): stub\n");
    return S_OK;
}

/***********************************************************************
 *             DllUnregisterServer (DPNET.@)
 */
HRESULT WINAPI DPNET_DllUnregisterServer(void)
{
    FIXME("(void): stub\n");
    return S_OK;
}

